pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/43901: graphics/jasper's jasper/jas_types.h should not include stdbool.h on Solaris

>Number:         43901
>Category:       pkg
>Synopsis:       graphics/jasper's jasper/jas_types.h should not include 
>stdbool.h on Solaris
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Thu Sep 23 18:55:00 +0000 2010
>Originator:     Jim Wise
>Release:        Solaris 10 x86_64
        graphics/jasper is built with USE_LANGUAGES=c99, so it detects Solaris 
10's <stdbool.h>
        as usable.  On Solaris, however, <stdbool.h> has:

        #if defined(_STDC_C99)
        #else /* _STDC_C99 */
        #error "Use of <stdbool.h> is valid only in a c99 compilation 
        #endif /* _STDC_C99 */

        so this results in an install of jasper which can't be used from 
non-c99 programs.

        Setting HAVE_STDBOOL_H to 0 in the Solaris case results in a correct 
build, and a
        jasper install which works fine with, eg, netpbm.
        Try to build graphics/netpbm on Solaris 10.
        Not sure -- spent a little time trying to patch this, but was loathe to 
patch configure
        directly, and the package currently has patches for configure, but not

Home | Main Index | Thread Index | Old Index